package com.brocade.dcm.as7.test;

import org.jboss.as.domain.management.security.RealmUser;

/**
 * A wrapper around the user for the Connection to act as a Credential.
 * 
 * @author <a href="mailto:darran.lofthouse@jboss.com">Darran Lofthouse</a>
 */
public final class OuterUserCredential {

    private final RealmUser user;

    OuterUserCredential(final RealmUser user) {
        if (user == null) {
            throw new IllegalArgumentException("UserPrincipal can not be null.");
        }
        this.user = user;
    }

    String getName() {
        return user.getName();
    }

    String getRealm() {
        return user.getRealm();
    }

    @Override
    public int hashCode() {
        return user.hashCode();
    }

    @Override
    public boolean equals(Object other) {
        return other instanceof OuterUserCredential && equals((OuterUserCredential) other);
    }

    public boolean equals(OuterUserCredential other) {
        return this == other || other != null && user.equals(other.user);
    }

}
